import React, { Component } from "react";
declare type focusedElement = number | undefined | null;
declare type AccordionItemProps = {
    index?: number;
    currentlyFocused?: focusedElement;
    title: React.ReactNode;
    defaultExpanded?: boolean;
    id?: string;
    children: React.ReactNode;
    onToggle?: (event: number, expanded: boolean) => void;
    onNavigation?: (event: React.KeyboardEvent<HTMLDivElement>) => void;
    panelClassName?: string;
    setFocus?: (e: any) => void;
    titleClassName?: string;
    onlyExpandedWhenFocused?: boolean;
};
declare type AccordionItemState = {
    expanded: boolean;
};
declare class AccordionItem extends Component<AccordionItemProps, AccordionItemState> {
    private labelRef;
    private panelRef;
    private contentRef;
    constructor(props: any);
    componentDidUpdate(prevProps: any): void;
    onKeyDown: (nav: React.KeyboardEvent<HTMLDivElement>) => void;
    onToggle: (index: number) => void;
    render(): JSX.Element;
}
export { AccordionItem };
